Debian Bug report logs - #664019
ITP: lintian4python -- Debian package checker (for Python packages)

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Wed, 14 Mar 2012 22:15:01 UTC

Owned by: Jakub Wilk <jwilk@debian.org>

Severity: wishlist

Fixed in version 0+20120317

Done: Jakub Wilk <jwilk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, debian-devel@lists.debian.org, debian-python@lists.debian.org, wnpp@debian.org:
Bug#664019; Package wnpp. (Wed, 14 Mar 2012 22:15:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: lintian4python -- Debian package checker (for Python packages)
Date: Wed, 14 Mar 2012 23:13:05 +0100
Package: wnpp
Severity: wishlist
Owner: Jakub Wilk <jwilk@debian.org>

* Package name    : lintian4python
  Upstream Author : Jakub Wilk <jwilk@debian.org>
* URL             : https://bitbucket.org/jwilk/lintian4python/
* License         : GPL-2+
  Programming Lang: Perl
  Description     : Debian package checker (for Python packages)

Lintian dissects Debian packages and reports bugs and policy violations. 
It contains automated checks for many aspects of Debian policy as well 
as some checks for common errors.

This package provides an experimental flavor of lintian designed to 
check packages implemented in Python.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jakub Wilk <jwilk@debian.org>:
Bug#664019; Package wnpp. (Thu, 15 Mar 2012 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jakub Wilk <jwilk@debian.org>. (Thu, 15 Mar 2012 09:45:11 GMT) Full text and rfc822 format available.

Message #8 received at 664019@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: Jakub Wilk <jwilk@debian.org>, 664019@bugs.debian.org
Subject: Re: Bug#664019: ITP: lintian4python -- Debian package checker (for Python packages)
Date: Thu, 15 Mar 2012 10:41:50 +0100
Il 14 marzo 2012 23:13, Jakub Wilk <jwilk@debian.org> ha scritto:
> This package provides an experimental flavor of lintian designed to check
> packages implemented in Python.

How likely this package will be eventually merged in lintian itself in
the future?
(If it's going to be merged, of course...)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#664019; Package wnpp. (Thu, 15 Mar 2012 22:06:06 GMT) Full text and rfc822 format available.

Message #11 received at 664019@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 664019@bugs.debian.org
Cc: debian-python@lists.debian.org
Subject: Re: Bug#664019: ITP: lintian4python -- Debian package checker (for Python packages)
Date: Thu, 15 Mar 2012 23:03:30 +0100
* Luca Falavigna <dktrkranz@debian.org>, 2012-03-15, 10:41:
>>This package provides an experimental flavor of lintian designed to 
>>check packages implemented in Python.
>How likely this package will be eventually merged in lintian itself in 
>the future?

The good news is: some parts of lintian4python has been already merged 
to lintian! :) More specifically, these tags were initially implemented 
in lintian4python:
- missing-dependency-on-numpy-abi
- python-depends-but-no-python-helper 
- python3-depends-but-no-python3-helper 

There are some tags that could be ported to lintian right now, but I 
need help with writing tag descriptions and tests (hint, hint, none of 
these things require Perl knowledge!). Also, in some cases I am not 
confident that the implementation reflects consensus about how things 
are best done, rather than only my point of view. The tags in this 
category are:
- SOURCES.txt-in-binary-package
- egg-info-version-mismatch
- extension-uses-old-pyrex-import-type
- pth-file-modifies-sys.path

We have a few team-specific tags:
- missing-vcs-field
- incorrect-team-name
- incorrect-vcs-field
I'm not sure if lintian maintainers would want them. Even in case they 
do, the code would need to be rethought and rewritten in a more 
generalized they (so that other teams could benefit from it). I'm afraid 
I have no incentive to do that myself. :)

The rest of the tags do things that are too crazy to be ported to 
lintian proper, sorry. :P

-- 
Jakub Wilk




Reply sent to debian-devel@lists.debian.org:
You have taken responsibility. (Sun, 18 Mar 2012 15:30:03 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sun, 18 Mar 2012 15:30:03 GMT) Full text and rfc822 format available.

Message #16 received at 664019-done@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: debian-devel-changes@lists.debian.org
Subject: Accepted lintian4python 0+20120317 (source all)
Date: Sun, 18 Mar 2012 00:17:09 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 17 Mar 2012 22:41:38 +0100
Source: lintian4python
Binary: lintian4python
Architecture: source all
Version: 0+20120317
Distribution: experimental
Urgency: low
Maintainer: Jakub Wilk <jwilk@debian.org>
Changed-By: Jakub Wilk <jwilk@debian.org>
Description: 
 lintian4python - Debian package checker (for Python packages)
Changes: 
 lintian4python (0+20120317) experimental; urgency=low
 .
   * Initial release.
   * Summary of tag changes:
     + Added:
       - SOURCES.txt-in-binary-package
       - cannot-parse-python-central-metadata
       - egg-info-version-mismatch
       - extension-uses-old-pyrex-import-type
       - incorrect-team-name
       - incorrect-vcs-field
       - missing-dependency-for-import
       - missing-requires.txt-dependency
       - missing-requires.txt-optional-dependency
       - missing-vcs-field
       - pth-file-modifies-sys.path
       - pyflakes-duplicate-argument
       - pyflakes-import-shadowed-by-loop-var
       - pyflakes-import-star-used
       - pyflakes-late-future-import
       - pyflakes-redefined-function
       - pyflakes-redefined-while-unused
       - pyflakes-undefined-export
       - pyflakes-undefined-local
       - pyflakes-undefined-name
       - pyflakes-unused-import
       - pyflakes-unused-variable
       - python-central-metadata-for-missing-files
       - python-depends-but-no-python-helper
       - python-module-but-no-python-depends
       - syntax-error
       - unknown-optional-project-in-requires.txt
       - unknown-project-in-requires.txt
Checksums-Sha1: 
 31e9d97e3e257603a4b1758aead457bab5ddd6e5 1440 lintian4python_0+20120317.dsc
 4232bab6ca4b3ed618f6d0790441e73910cfffbe 23280 lintian4python_0+20120317.tar.gz
 1cee66fffa80fbbf2bc3a5b3c192ea63d00b8f2d 22570 lintian4python_0+20120317_all.deb
Checksums-Sha256: 
 c3647784c80a139d42d0b563ed295d067dcd1000e60a4174f1b18ea8f26f3f66 1440 lintian4python_0+20120317.dsc
 d9034a9f744b9277834c341ede52e7673ae525a8638ad150822c9c9ef5ac1b27 23280 lintian4python_0+20120317.tar.gz
 65fae622990e488a2fa1ced30dd9ae42be660a392dc1f5fd5aa46c5b17cf47dc 22570 lintian4python_0+20120317_all.deb
Files: 
 d62a0faccf9ec72250ce68a5bb34e11c 1440 devel extra lintian4python_0+20120317.dsc
 86cfe37d176a8675e3d448e2e06dadd9 23280 devel extra lintian4python_0+20120317.tar.gz
 254e0afc737d2cdd70e03077b573e841 22570 devel extra lintian4python_0+20120317_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPZRocAAoJEC1Os6YBVHX15S4P/RxcvN5LTpo0g7H2da153JR0
fuXuRaTHxpmSl7ZQJzRhCmzZij0xhJNA8EtV8VpIb2e4TJUIbx+XsylZcPWpJS+W
Cs7PVDgJgT+SHZC+1AQ4evJeAX7NKKOqeb5JIlBpsaCUSAD2wDFpk/RiHNeXDlM0
pNLHxJ+587BXdd2dbqgQaItMGBIA+2BR/bf5KsZW8wArCuvjKZJdrEGtDiVzahyC
2eut6XCur1PD01zJaO+2wQ9V2s2d4Fm6XLeESWwltwqQbOzbN8OqpZ+LUq4zcBZ0
7k7Wn/2JB6JN6NvZr0OpQUzpBqMzfJrw9Adth0F1mqZuyTCt3XWgzmf0LIVBTjgj
aYY5gRlPQeRkKgXpZaMh1jRpUvu0x9faB6IapzGmUxlNZyVtUApGY9SGWMtLnLzt
zSnWW/6fm05gU6PQP2H0xtRHze8Ki9RSW/l2oSCLwt8o+qG7YbMwCwmj/5ujbeex
e68LkiipfAcq7gF18mx76aU7bwLea2Y31YthelapbgM0dO+P7rYclnOvSOsQMfHD
mV6vByUUK9CNKk3Wbr6lDLsr27V4FHg0S8QdEdFmEOCbwj++jAjBqRIwXN0QWKdZ
rh+L/LctwmMvDYNr6dj274bMY/KqId17+dIH2NP8eA8pJv7TBhl6nq8/raQHUhIL
e3z48r+v1h6wEn+xDu8t
=lV8h
-----END PGP SIGNATURE-----


Accepted:
lintian4python_0+20120317.dsc
  to main/l/lintian4python/lintian4python_0+20120317.dsc
lintian4python_0+20120317.tar.gz
  to main/l/lintian4python/lintian4python_0+20120317.tar.gz
lintian4python_0+20120317_all.deb
  to main/l/lintian4python/lintian4python_0+20120317_all.deb


-- 
To UNSUBSCRIBE, email to debian-devel-changes-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/E1S93o5-0001xZ-7c@franck.debian.org







Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Apr 2012 07:33:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:33:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.